LibreOffice LibreOffice 26.2 SDK API Reference

Loading...
Searching...
No Matches
XTruncate Interface Referencepublished

makes it possible to set the size of the underlying data of a stream to zero. More...

`import "XTruncate.idl";`

Inheritance diagram for XTruncate:

## Public Member Functions
void | truncate () raises ( IOException )
| sets the size of the underlying data of the stream to zero.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

makes it possible to set the size of the underlying data of a stream to zero.

## Member Function Documentation

## ◆ truncate()

void truncate | ( |  | ) |
raises | ( | IOException ) |  |  |

sets the size of the underlying data of the stream to zero.

The documentation for this interface was generated from the following file:

- com/sun/star/io/XTruncate.idl